<?php
use App\Controller\Auth;

$app->group('/auth', function($app) {
    $app->group('/login', function($app) {
        $app->get('[/]', [Auth::class, 'login']);
        $app->post('[/]', [Auth::class, 'do_login']);
    });
    $app->get('/logout[/]', [Auth::class, 'logout']);
    $app->group('/pass', function($app) {
        $app->get('/check', [Auth::class, 'check_pass']);
        $app->get('[/]', [Auth::class, 'change_pass']);
        $app->post('[/]', [Auth::class, 'do_change_pass']);
    });
});
